Blackbaud FIMS

System Requirements

System requirements are subject to change. Please ensure you have the latest information before making any purchase decisions. If you are running any other Blackbaud products, please refer to the System Requirements for those products separately.

Last updated: May 26, 2020

Certification policy

Blackbaud certification policy

FIMS supports key industry standards and is integrated with top-rated products. Blackbaud regularly expands the compatibility of FIMS with each new version, as well as with periodic maintenance releases.

FIMS is certified with the latest version of supported products at the time of the software release.

Service packs, upgrades, and versions made available after FIMS has been released are typically not certified until the next release of FIMS. At that time, only the latest version of the software is certified; interim releases made available during the intervening period are not certified.

Compatibility info

Microsoft Windows operating systems

Workstations must have Microsoft Windows 8.1, or 10 installed. Windows 10 is recommended.

Notes:

  • As of January 14, 2020, Windows 7 is no longer supported with FIMS due to the end of support date announced by Microsoft.
  • As of 1/12/2016, Windows 8 is no longer supported with FIMS due to the end of support by Microsoft as of 1/12/2016. With the general availability of Windows 8.1, customers on Windows 8 have two years, until January 12, 2016, to move to Windows 8.1 to remain supported. See Windows Lifecycle FAQ.
  • As of January 10, 2023, Windows 8.1 will no longer be supported with FIMS due to the end of support date announced by Microsoft. See Windows Lifecycle Fact Sheet.

Servers must have Microsoft Windows 2012, 2012 R2, or 2016. At this time, Windows Server 2019 is not supported.

Notes:

  • FIMS will run on Microsoft Cloud (Azure) when set up as Windows client/server machines.
  • As of January 14, 2020 Windows Server 2008 R2 is no longer supported with FIMS due to the end of support date announced by Microsoft.
  • As of October 10, 2023, Windows Server 2012 will no longer be supported by FIMS due to the end of support announced by Microsoft.
  • As of January 10, 2023, Windows Server 2012 R2 will no longer be supported with FIMS due to the end of support date announced by Microsoft.

Windows 8.1 users: Please note that FIMS is not certified for touch-screen Compatibility Notes Blackbaud Certification Policy Last Updated: January 16, 2020 Subject to change, visit https://www.blackbaud.com/support/downloads for the most current information. functionality. If you notice any issues, please disable the touch-screen feature.

DonorCentral users: Your FIMS server must have Microsoft Windows Server 2012 or later to upload data to DonorCentral.

IGAM users: IGAM 3 is not compatible with Windows 7 or later. If you are currently using IGAM 3 for FIMS and want to use Windows 7, you must upgrade to IGAM 5 or later. Contact Blackbaud Support for more information.

Progress OpenEdge: FIMS is compatible with Progress OpenEdge version 11.6.4 and above.

Crystal reports

    If you use Crystal Reports, note that reports written in Crystal Reports earlier than version 13 cannot connect to Progress 11.x databases. If you have reports written in an earlier version of Crystal, you will need to upgrade to Crystal 13 or higher and convert your reports to use them with FIMS version 14.x. FIMS 14.60 with Progress OpenEdge version 11 requires an upgrade to Crystal version 13. See the 14.60 Release Notes on the How-To page for information.

    OS Service Pack / Maintenance Pack Support

      OS updates are not automatically certified but are supported where the OS vendor guarantees backwards compatibility with the base line OS level. Certification of OS updates may be performed if the backwards guarantee compatibility of the OS Service Pack / Maintenance Pack is questionable.

      Microsoft Office

        Office 365 users, please note only a desktop installation of Microsoft Office 2010/2013/2016 connected to Office 365 is fully compatible with FIMS. Notes:

        • Microsoft Office 2007 is no longer supported by Microsoft or FIMS.
        • As of October 13, 2020, Microsoft Office 2010 will no longer be supported due to the end of support date announced by Microsoft.
        • As of April 11, 2023, Microsoft Office 2013 SP1 will no longer be supported due to the end of support date announced by Microsoft.
        Support

          Need Help or Have Questions?

          If you have questions or need assistance, please contact Support.

          Support Hours: M-F, 8:30 am – 8:00 pm ET

          Phone: (800) 468-8996, option 1

          Online: Visit Case Central. Click the Case tab at the top and click Create New Case.